[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.UpdateCursor

Updates the cursor shape to reflect the ResizeAnchor for the splitter.

## Declaration

Source position: extctrls.pp line 412

`protected procedure TCustomSplitter.UpdateCursor; virtual;`

## Description

When the splitter is Enabled, the value in Cursor is changed. crHSplit is used when ResizeAnchor contains akLeft or akRight. For other values, crVSpit is used.

If the splitter is not Enabled, Cursor is set to the crDefault cursor shape.

## See also

TCustomSplitter.Cursor |  | The shape for the mouse pointer when the control is dragged.
TControl.Enabled |  | Determines whether the control responds to mouse or keyboard input.
TCursor |  | Defines the range of values used for cursor shapes.